## kjumpingcube 4.13.0

=== CMakeLists.txt ===
project(kjumpingcube)

if(NOT COMPILING_KDEGAMES)
	find_package(KDE4 REQUIRED)
	include(KDE4Defaults)
	include(MacroLibrary)
	find_package(KDEGames 4.9.0 REQUIRED)

	add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
	add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
	include_directories(${KDEGAMES_INCLUDE_DIRS} ${KDE4_INCLUDES} ${QDBUS_INCLUDE_DIRS})
endif(NOT COMPILING_KDEGAMES)

add_subdirectory( pics )
add_subdirectory( doc )

########### next target ###############

set(kjumpingcube_SRCS 
   kjumpingcube.cpp 
   kcubeboxwidget.cpp 
   main.cpp 
   kcubewidget.cpp 
   game.cpp
   ai_main.cpp
   ai_kepler.cpp
   ai_newton.cpp
   ai_box.cpp )

kde4_add_ui_files(kjumpingcube_SRCS settings.ui )

kde4_add_kcfg_files(kjumpingcube_SRCS prefs.kcfgc )

kde4_add_app_icon(kjumpingcube_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/hi*-app-kjumpingcube.png")
kde4_add_executable(kjumpingcube ${kjumpingcube_SRCS})

target_link_libraries(kjumpingcube  ${KDE4_KIO_LIBS} kdegames )

install(TARGETS kjumpingcube  ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( PROGRAMS kjumpingcube.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( FILES kjumpingcube.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
install( FILES kjumpingcubeui.rc  DESTINATION  ${DATA_INSTALL_DIR}/kjumpingcube )

kde4_install_icons( ${ICON_INSTALL_DIR}   )

## kjumpingcube 4.10.0

=== debian/changelog ===
kjumpingcube (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:56:17 +0000

kjumpingcube (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:42:29 +0000

kjumpingcube (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:37:02 +0100

kjumpingcube (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:32:15 +0000

kjumpingcube (4:4.9.90-0ubuntu1) raring; urgency=low

  * Initial release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:56:33 +0000

=== debian/control ===
Source: kjumpingcube
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: cmake,
               debhelper (>= 8.0.0),
               kdelibs5-dev (>= 4:4.10.0),
               libkdegames-dev (>= 4:4.10.0),
               pkg-kde-tools
Standards-Version: 3.9.3
Section: games
Homepage: http://www.kde.org

Package: kjumpingcube
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdegames-data (>= ${source:Upstream-Version})
Description: simple tactical game
 KJumpingcube is a simple tactical game for one or two players, played on a
 grid of numbered squares.  Each turn, players compete for control of the board
 by capturing or adding to one square.
 .
 This package is part of the KDE games module.

## kjumpingcube 4.10.2

=== debian/changelog ===
kjumpingcube (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:50:38 +0200

kjumpingcube (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 15:48:13 +0000

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: cmake,
                debhelper (>= 8.0.0),
-               kdelibs5-dev (>= 4:4.10.0),
-               libkdegames-dev (>= 4:4.10.0),
+               kdelibs5-dev (>= 4:4.10.2),
+               libkdegames-dev (>= 4:4.10.2),
                pkg-kde-tools
 Standards-Version: 3.9.3
 Section: games

## kjumpingcube 4.10.5

=== debian/changelog ===
kjumpingcube (4:4.10.5-0ubuntu0.1) raring; urgency=low

  * New upstream bugfix release (LP: #1196090)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 10 Jul 2013 22:43:17 +0200

kjumpingcube (4:4.10.4-0ubuntu0.1) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1187574)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 20 Jun 2013 04:33:15 +0200

=== debian/control ===
Source: kjumpingcube
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: cmake,
               debhelper (>= 8.0.0),
               kdelibs5-dev (>= 4:4.10.5),
               libkdegames-dev (>= 4:4.10.2),
               pkg-kde-tools
Standards-Version: 3.9.3
Section: games
Homepage: http://www.kde.org

Package: kjumpingcube
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdegames-data
Description: simple tactical game
 KJumpingcube is a simple tactical game for one or two players, played on a
 grid of numbered squares.  Each turn, players compete for control of the board
 by capturing or adding to one square.
 .
 This package is part of the KDE games module.

## kjumpingcube 4.11.2

=== debian/changelog ===
kjumpingcube (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:27:54 +0100

kjumpingcube (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 06 Sep 2013 22:24:56 +0100

kjumpingcube (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:18:48 +0100

kjumpingcube (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:38:21 +0100

kjumpingcube (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:32:36 +0000

kjumpingcube (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:16:27 +0100

kjumpingcube (4:4.10.80-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream release

  [ Philip Muškovac ]
  * Add new doc icon to kjumpingcube.install 

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 21 Jun 2013 01:22:13 +0100

kjumpingcube (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:34:59 +0100

kjumpingcube (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 May 2013 11:04:42 +0000

kjumpingcube (4:4.10.2-1) experimental; urgency=low

  * First release of kdegames after being split by upstream.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 10 Apr 2013 09:47:38 +0200

=== debian/control ===
Source: kjumpingcube
Section: games
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
 Sune Vuorela <sune@debian.org>,
 Fathi Boudra <fabo@debian.org>,
 Modestas Vainius <modax@debian.org>,
 George Kiagiadakis <gkiagiad@csd.uoc.gr>,
 Eshat Cakar <info@eshat.de>,
 Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
 Maximiliano Curia <maxy@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
 cmake, debhelper (>= 9), pkg-kde-tools (>= 0.14),
 kdelibs5-dev (>= 4:4.11.2),
 libkdegames-dev (>= 4:4.11.2)
Standards-Version: 3.9.4
Homepage: http://games.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kjumpingcube
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kjumpingcube
X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kjumpingcube.git
X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kjumpingcube.git

Package: kjumpingcube
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: khelpcenter4
Description: simple tactical game
 KJumpingcube is a simple tactical game for one or two players, played on a
 grid of numbered squares.  Each turn, players compete for control of the board
 by capturing or adding to one square.
 .
 This package is part of the KDE games module.

## kjumpingcube 4.13.0

=== debian/changelog ===
kjumpingcube (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:05:41 +0100

kjumpingcube (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:29:13 +0200

kjumpingcube (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:31:24 +0100

kjumpingcube (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 11:00:13 +0000

kjumpingcube (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:51:29 +0100

kjumpingcube (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:03:51 +0000

kjumpingcube (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:20:23 +0000

kjumpingcube (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:11:19 +0000

kjumpingcube (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:12:14 +0000

kjumpingcube (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:09:13 +0100

kjumpingcube (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:42:42 +0100

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
  Maximiliano Curia <maxy@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 9), pkg-kde-tools (>= 0.14),
- kdelibs5-dev (>= 4:4.11.2),
- libkdegames-dev (>= 4:4.11.2)
+ kdelibs5-dev (>= 4:4.13.0),
+ libkdegames-dev (>= 4:4.13.0)
 Standards-Version: 3.9.4
 Homepage: http://games.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kjumpingcube

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/kjumpingcube-([\d\.]*).tar.xz

## kjumpingcube 4.13.1

=== debian/changelog ===
kjumpingcube (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 May 2014 09:57:45 +0200

kjumpingcube (4:4.12.2-2) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:24:47 +0200

kjumpingcube (4:4.12.2-1) experimental; urgency=medium

  * Do not disable an empty test set.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * New upstream release.
  * Update install files.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:31:57 +0100

kjumpingcube (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 07 Nov 2013 14:28:36 +0100

kjumpingcube (4:4.11.2-1) experimental; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 07 Oct 2013 15:29:51 +0200

kjumpingcube (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 16:02:36 +0200

kjumpingcube (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Update vcs fields.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 10:54:56 +0200

=== debian/control ===
Source: kjumpingcube
Section: games
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.11),
               libkdegames-dev (>= 4:4.11),
               pkg-kde-tools (>= 0.14)
Standards-Version: 3.9.5
Homepage: http://games.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kjumpingcube.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kjumpingcube.git

Package: kjumpingcube
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter4
Description: simple tactical game
 KJumpingcube is a simple tactical game for one or two players, played on a
 grid of numbered squares.  Each turn, players compete for control of the board
 by capturing or adding to one square.
 .
 This package is part of the KDE games module.

## kjumpingcube 4.14.1

=== debian/changelog ===
kjumpingcube (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:17:56 +0200

kjumpingcube (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:11:23 +0200

kjumpingcube (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:51:42 +0200

kjumpingcube (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:20:30 +0200

kjumpingcube (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:09:35 +0200

kjumpingcube (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 12:00:23 +0100

kjumpingcube (4:4.13.1-1ubuntu1) utopic; urgency=medium

  * Merge with debian, no remaining changes

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 16 Jun 2014 18:55:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kjumpingcube
 Section: games
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Daniel Schepler <schepler@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Fathi Boudra <fabo@debian.org>,
@@ -13,13 +14,15 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.11),
-               libkdegames-dev (>= 4:4.11),
+               kdelibs5-dev (>= 4:4.14.1),
+               libkdegames-dev (>= 4:4.14.1),
                pkg-kde-tools (>= 0.14)
 Standards-Version: 3.9.5
 Homepage: http://games.kde.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kjumpingcube.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kjumpingcube.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kjumpingcube
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kjumpingcube
+X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kjumpingcube.git
+X-Vcs-Debian-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kjumpingcube.git
 
 Package: kjumpingcube
 Architecture: any

## kjumpingcube 4.14.2

=== debian/changelog ===
kjumpingcube (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 16:52:08 +0200

kjumpingcube (4:4.14.2-0ubuntu1~ubuntu14.10~ppa1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 05:29:41 -0700

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.1),
-               libkdegames-dev (>= 4:4.14.1),
+               kde-sc-dev-latest (>= 4:4.11),
+               kdelibs5-dev (>= 4:4.14.2),
+               libkdegames-dev (>= 4:4.14.2),
                pkg-kde-tools (>= 0.14)
 Standards-Version: 3.9.5
 Homepage: http://games.kde.org/

## kjumpingcube 14.12.3

=== debian/changelog ===
kjumpingcube (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 14:21:20 -0700

kjumpingcube (4:14.12.2-1) experimental; urgency=medium

  * New upstream release (14.12.2).
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 22 Feb 2015 14:53:41 +0100

kjumpingcube (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 09:16:13 -0800

kjumpingcube (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 16:59:53 +0100

kjumpingcube (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream release candidate

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 02 Dec 2014 21:15:40 -0800

kjumpingcube (4:14.11.95-0ubuntu1) vivid; urgency=medium

  * Initial release for KDE applications 14.12 series
   - Change maintainer to Debian/Kubuntu
   - Fix Watch file applications locations
   - Fix VCS for new kde-applications location
  * Debian merge, no remaining changes.

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 25 Nov 2014 22:03:16 +0000

kjumpingcube (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 05:29:41 -0700

=== debian/control ===
Source: kjumpingcube
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev,
               libkdegames-dev (>= 4:14.12.2),
               pkg-kde-tools (>= 0.14)
Standards-Version: 3.9.6
Homepage: http://games.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kjumpingcube.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kjumpingcube.git

Package: kjumpingcube
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter
Description: simple tactical game
 KJumpingcube is a simple tactical game for one or two players, played on a
 grid of numbered squares.  Each turn, players compete for control of the board
 by capturing or adding to one square.
 .
 This package is part of the KDE games module.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kjumpingcube-([\d.]+).tar.xz

## kjumpingcube 15.08.2

=== debian/changelog ===
kjumpingcube (4:15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:31:12 +0100

kjumpingcube (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:05:00 +0100

kjumpingcube (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:28:37 +0100

kjumpingcube (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 10:30:26 +0100

kjumpingcube (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * New upstream release
  * Vivid backport

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 19:07:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,4 +1,51 @@
 Source: kjumpingcube
+Build-Depends: cmake,
+               debhelper (>= 9),
+               extra-cmake-modules,
+               gettext,
+               kdoctools-dev,
+               kgendesignerplugin,
+               kinit-dev,
+               kio-dev,
+               libkf5archive-dev,
+               libkf5attica-dev,
+               libkf5auth-dev,
+               libkf5bookmarks-dev,
+               libkf5codecs-dev,
+               libkf5completion-dev,
+               libkf5config-dev,
+               libkf5configwidgets-dev,
+               libkf5coreaddons-dev,
+               libkf5crash-dev,
+               libkf5dbusaddons-dev,
+               libkf5emoticons-dev,
+               libkf5globalaccel-dev,
+               libkf5guiaddons-dev,
+               libkf5i18n-dev,
+               libkf5iconthemes-dev,
+               libkf5itemmodels-dev,
+               libkf5itemviews-dev,
+               libkf5jobwidgets-dev,
+               libkf5kdegames-dev,
+               libkf5kdelibs4support-dev,
+               libkf5newstuff-dev,
+               libkf5notifications-dev,
+               libkf5notifyconfig-dev,
+               libkf5parts-dev,
+               libkf5service-dev,
+               libkf5solid-dev,
+               libkf5sonnet-dev,
+               libkf5textwidgets-dev,
+               libkf5unitconversion-dev,
+               libkf5widgetsaddons-dev,
+               libkf5windowsystem-dev,
+               libkf5xmlgui-dev,
+               libphonon4qt5-dev,
+               libphonon4qt5experimental-dev,
+               libqt5svg5-dev,
+               pkg-kde-tools (>> 0.15.15),
+               qtbase5-dev,
+               qtdeclarative5-dev
 Section: games
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
@@ -10,12 +57,6 @@
            Eshat Cakar <info@eshat.de>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
-               debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev,
-               libkdegames-dev (>= 4:14.12.2),
-               pkg-kde-tools (>= 0.14)
 Standards-Version: 3.9.6
 Homepage: http://games.kde.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kjumpingcube.git

## kjumpingcube 15.12.3

=== CMakeLists.txt ===
project(kjumpingcube)

cmake_minimum_required (VERSION 2.8.12 FATAL_ERROR)
set (QT_MIN_VERSION "5.3.0")

find_package(ECM 1.7.0 REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets Qml Quick QuickWidgets Svg Test)
find_package(KF5 REQUIRED COMPONENTS 
    CoreAddons
    Config
    ItemModels
    WidgetsAddons
    WindowSystem
    Config
    DBusAddons
    I18n
    ConfigWidgets
    TextWidgets
    XmlGui
    KIO
    NotifyConfig
    NewStuff
    KDELibs4Support)

find_package(KF5KDEGames 4.9.0 REQUIRED)
find_package(Phonon4Qt5 CONFIG REQUIRED)

include(FeatureSummary)
include(ECMAddAppIcon)
include(ECMInstallIcons)
include(KDEInstallDirs)
include(KDECompilerSettings)
include(KDECMakeSettings)

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

add_subdirectory( pics )
add_subdirectory( doc )

########### next target ###############

set(kjumpingcube_SRCS 
   kjumpingcube.cpp 
   kcubeboxwidget.cpp 
   main.cpp 
   kcubewidget.cpp 
   game.cpp
   ai_main.cpp
   ai_kepler.cpp
   ai_newton.cpp
   ai_box.cpp )

ki18n_wrap_ui(kjumpingcube_SRCS settings.ui )

kconfig_add_kcfg_files(kjumpingcube_SRCS prefs.kcfgc )

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/*-apps-kjumpingcube.png")
ecm_add_app_icon(kjumpingcube_SRCS ICONS ${ICONS_SRCS})
add_executable(kjumpingcube ${kjumpingcube_SRCS})

target_link_libraries(kjumpingcube  KF5::KIOCore KF5KDEGames KF5::XmlGui KF5::KDELibs4Support Qt5::Svg)

install(TARGETS kjumpingcube  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( PROGRAMS org.kde.kjumpingcube.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
install( FILES kjumpingcube.kcfg  DESTINATION  ${KDE_INSTALL_KCFGDIR} )
install( FILES kjumpingcubeui.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/kjumpingcube )

ecm_install_icons( ICONS 128-apps-kjumpingcube.png  16-apps-kjumpingcube.png  22-apps-kjumpingcube.png  32-apps-kjumpingcube.png  48-apps-kjumpingcube.png  64-apps-kjumpingcube.png DESTINATION ${KDE_INSTALL_ICONDIR} THEME hicolor   )




feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kjumpingcube (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:29:35 -0700

kjumpingcube (4:15.12.1-0ubuntu2) xenial; urgency=medium

  * No-change rebuild against libkf5kdegames7

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 13 Mar 2016 22:25:22 +0100

kjumpingcube (4:15.12.1-0ubuntu1) xenial; urgency=medium

  * Debian merge: No remaining changes.
  * New upstream release. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 10:49:07 +0100

kjumpingcube (4:15.12.0-1) experimental; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:23:08 +0100

kjumpingcube (4:15.12.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Sat, 02 Jan 2016 13:59:49 +0000

kjumpingcube (4:15.08.0-1) unstable; urgency=medium

  * New upstream release (15.04.0).
  * New upstream release (15.04.1).
  * New upstream release (15.04.3).
  * New upstream release (15.08.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 Sep 2015 21:31:02 +0200

=== debian/control ===
Source: kjumpingcube
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.7.0~),
               kio-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5dbusaddons-dev,
               libkf5i18n-dev,
               libkf5itemmodels-dev,
               libkf5kdegames-dev (>= 4.9.0~),
               libkf5kdelibs4support-dev,
               libkf5newstuff-dev,
               libkf5notifyconfig-dev,
               libkf5textwidgets-dev,
               libkf5widgetsaddons-dev,
               libkf5kdelibs4support-dev,
               libkf5windowsystem-dev,
               libkf5xmlgui-dev,
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5svg5-dev (>= 5.4),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.4)
Standards-Version: 3.9.6
Homepage: http://games.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kjumpingcube.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kjumpingcube.git

Package: kjumpingcube
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter
Description: simple tactical game
 KJumpingcube is a simple tactical game for one or two players, played on a
 grid of numbered squares.  Each turn, players compete for control of the board
 by capturing or adding to one square.
 .
 This package is part of the KDE games module.

## kjumpingcube 16.04.3

=== debian/changelog ===
kjumpingcube (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:30:48 +0200

=== debian/control ===
Source: kjumpingcube
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.24.0~),
               kio-dev (>= 5.24.0~),
               libkf5config-dev (>= 5.24.0~),
               libkf5configwidgets-dev (>= 5.24.0~),
               libkf5coreaddons-dev (>= 5.24.0~),
               libkf5dbusaddons-dev (>= 5.24.0~),
               libkf5i18n-dev (>= 5.24.0~),
               libkf5itemmodels-dev (>= 5.24.0~),
               libkf5kdegames-dev (>= 4:16.04.3~),
               libkf5kdelibs4support-dev (>= 5.24.0~),
               libkf5newstuff-dev (>= 5.24.0~),
               libkf5notifyconfig-dev (>= 5.24.0~),
               libkf5textwidgets-dev (>= 5.24.0~),
               libkf5widgetsaddons-dev (>= 5.24.0~),
               libkf5windowsystem-dev (>= 5.24.0~),
               libkf5xmlgui-dev (>= 5.24.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5svg5-dev (>= 5.6.1~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: http://games.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kjumpingcube
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kjumpingcube

Package: kjumpingcube
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter
Description: simple tactical game
 KJumpingcube is a simple tactical game for one or two players, played on a
 grid of numbered squares.  Each turn, players compete for control of the board
 by capturing or adding to one square.
 .
 This package is part of the KDE games module.

## kjumpingcube 16.08.0

=== debian/changelog ===
kjumpingcube (4:16.08.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (16.08.0)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 00:09:25 +0200

kjumpingcube (4:16.04.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Remove menu file and friends
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 19:30:51 +0200

=== debian/control ===
Source: kjumpingcube
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.7.0~),
               kdoctools-dev (>= 5.15.0~),
               kio-dev (>= 5.15.0~),
               libkf5config-dev (>= 5.15.0~),
               libkf5configwidgets-dev (>= 5.15.0~),
               libkf5coreaddons-dev (>= 5.15.0~),
               libkf5crash-dev (>= 5.15.0~),
               libkf5dbusaddons-dev (>= 5.15.0~),
               libkf5i18n-dev (>= 5.15.0~),
               libkf5itemmodels-dev,
               libkf5kdegames-dev (>= 4.9.0~),
               libkf5kdelibs4support-dev (>= 5.15.0~),
               libkf5newstuff-dev,
               libkf5notifyconfig-dev,
               libkf5textwidgets-dev,
               libkf5widgetsaddons-dev (>= 5.15.0~),
               libkf5windowsystem-dev,
               libkf5xmlgui-dev (>= 5.15.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5svg5-dev (>= 5.4),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.4)
Standards-Version: 3.9.8
Homepage: http://games.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kjumpingcube.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kjumpingcube.git

Package: kjumpingcube
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter
Description: simple tactical game
 KJumpingcube is a simple tactical game for one or two players, played on a
 grid of numbered squares.  Each turn, players compete for control of the board
 by capturing or adding to one square.
 .
 This package is part of the KDE games module.

## kjumpingcube 16.12.3

=== debian/changelog ===
kjumpingcube (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:30:22 +0000

kjumpingcube (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:19:19 +0000

=== debian/control ===
Source: kjumpingcube
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5itemmodels-dev (>= 5.31.0~),
               libkf5kdegames-dev (>= 4:16.12.3~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5svg5-dev (>= 5.6.1~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: http://games.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kjumpingcube
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kjumpingcube

Package: kjumpingcube
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter
Description: simple tactical game
 KJumpingcube is a simple tactical game for one or two players, played on a
 grid of numbered squares.  Each turn, players compete for control of the board
 by capturing or adding to one square.
 .
 This package is part of the KDE games module.

## kjumpingcube 17.04.3

=== debian/changelog ===
kjumpingcube (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:34:50 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5itemmodels-dev (>= 5.31.0~),
-               libkf5kdegames-dev (>= 4:16.12.3~),
+               libkf5kdegames-dev (>= 4:17.04.3~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
                libkf5newstuff-dev (>= 5.31.0~),
@@ -43,6 +43,8 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: khelpcenter
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: simple tactical game
  KJumpingcube is a simple tactical game for one or two players, played on a
  grid of numbered squares.  Each turn, players compete for control of the board

## kjumpingcube 17.12.3

=== CMakeLists.txt ===
project(kjumpingcube)

cmake_minimum_required (VERSION 2.8.12 FATAL_ERROR)
set (QT_MIN_VERSION "5.7.0")
set (KF5_MIN_VERSION "5.30.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets Svg)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    CoreAddons
    Config
    ConfigWidgets
    Crash
    DBusAddons
    DocTools
    KIO
    I18n
    XmlGui
    WidgetsAddons
)

find_package(KF5KDEGames 4.9.0 REQUIRED)

include(FeatureSummary)
include(ECMAddAppIcon)
include(ECMInstallIcons)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

add_subdirectory(pics)
add_subdirectory(doc)

########### next target ###############

set(kjumpingcube_SRCS 
   kjumpingcube.cpp 
   kcubeboxwidget.cpp 
   main.cpp 
   kcubewidget.cpp 
   game.cpp
   ai_main.cpp
   ai_kepler.cpp
   ai_newton.cpp
   ai_box.cpp
)

qt5_add_resources(kjumpingcube_SRCS kjumpingcube.qrc)
ki18n_wrap_ui(kjumpingcube_SRCS settings.ui)

kconfig_add_kcfg_files(kjumpingcube_SRCS prefs.kcfgc)

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/*-apps-kjumpingcube.png")
ecm_add_app_icon(kjumpingcube_SRCS ICONS ${ICONS_SRCS})
add_executable(kjumpingcube ${kjumpingcube_SRCS})

target_link_libraries(kjumpingcube
    KF5KDEGames
    KF5::CoreAddons
    KF5::Crash
    KF5::DBusAddons
    KF5::KIOWidgets
    KF5::XmlGui
    Qt5::Svg
)

install(TARGETS kjumpingcube  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})


########### install files ###############

install(PROGRAMS org.kde.kjumpingcube.desktop  DESTINATION  ${KDE_INSTALL_APPDIR})
install(FILES kjumpingcube.kcfg  DESTINATION  ${KDE_INSTALL_KCFGDIR})

ecm_install_icons(ICONS
    128-apps-kjumpingcube.png
    16-apps-kjumpingcube.png
    22-apps-kjumpingcube.png
    32-apps-kjumpingcube.png
    48-apps-kjumpingcube.png
    64-apps-kjumpingcube.png
    DESTINATION ${KDE_INSTALL_ICONDIR} THEME hicolor
)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== debian/changelog ===
kjumpingcube (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:27:52 +0000

kjumpingcube (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:58:35 +0000

kjumpingcube (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:06:41 +0000

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5itemmodels-dev (>= 5.31.0~),
-               libkf5kdegames-dev (>= 4:17.04.3~),
+               libkf5kdegames-dev (>= 4:17.12.3~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
                libkf5newstuff-dev (>= 5.31.0~),

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kjumpingcube-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kjumpingcube-([\d.]+).tar.xz
